## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-dataproc
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        5.8.0
Release:        %autorelease
Summary:        Python SDK for Google Cloud Dataproc API

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Dataproc API: Manages Hadoop-based clusters and jobs on Google
Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary scripts.
rm -f %{buildroot}%{_bindir}/fixup*


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md samples


%changelog
* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 5.8.0-2
- Skip import check, remove nspkg file

* Thu Dec 07 2023 Packit <hello@packit.dev> - 5.8.0-1
- [packit] 5.8.0 upstream release
- Resolves rhbz#2253541

* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 5.7.0-2
- Do not sync release candidate versions

* Fri Nov 03 2023 Major Hayden <major@redhat.com> - 5.7.0-1
- Update to 5.7.0 rhbz#2247620

* Thu Sep 21 2023 Packit <hello@packit.dev> - 5.6.0-1
- [packit] 5.6.0 upstream release

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 5.5.1-2
- Allow packit to do koji builds

* Thu Sep 14 2023 Packit <hello@packit.dev> - 5.5.1-1
- [packit] 5.5.1 upstream release

* Wed Sep 06 2023 Packit <hello@packit.dev> - 5.5.0-1
- [packit] 5.5.0 upstream release

* Thu Aug 03 2023 Major Hayden <major@redhat.com> - 5.4.3-1
- Update to 5.4.3

* Thu Aug 03 2023 Major Hayden <major@redhat.com> - 5.4.2-3
- Add packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 5.4.2-1
- Update to 5.4.2 rhbz#2219857

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 5.4.1-2
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 5.4.1-1
- Update to 5.4.1 rhbz#2182214

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 5.4.0-1
- Update to 5.4.0 rhbz#2173061

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 5.3.0-1
- Update to 5.3.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 5.0.3-1
- Update to 5.0.3 rhbz#2131872

* Thu Aug 18 2022 Major Hayden <major@redhat.com> - 5.0.1-1
- Update to 5.0.1 rhbz#2119207

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 5.0.0-1
- Update to 5.0.0 rhbz#2108609

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 4.0.3-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 4.0.3-1
- Update to 4.0.3

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> - 4.0.2-1
- 🚀 Update to 4.0.2

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 4.0.0-1
- Initial import (#2012992)
